libdap::D4EnumDef Class Reference

## Public Types

typedef vector< tuple >::iterator | D4EnumValueIter

## Public Member Functions

void | add_value (const string &label, long long value)
| D4EnumDef (const string &n, const Type &t, D4EnumDefs *e=0)
| D4EnumDef (const D4EnumDef &rhs)
bool | empty () const
bool | is_valid_enum_value (long long value)
string & | label (D4EnumValueIter i)
string | name () const
D4EnumDefs * | parent () const
void | print_dap4 (XMLWriter &xml) const
void | set_name (const string &n)
void | set_parent (D4EnumDefs *e)
void | set_type (Type t)
Type | type () const
long long | value (D4EnumValueIter i)
D4EnumValueIter | value_begin ()
D4EnumValueIter | value_end ()

## Detailed Description

Definition at line 42 of file D4EnumDefs.h.

## Member Function Documentation

## is_valid_enum_value()

bool libdap::D4EnumDef::is_valid_enum_value | ( | long long | value | ) |

Test if a particular value is legal for a given type. In a D4EnumDef, all values are actually stored in a long long, but the different enumerations can specify different types like Byte, Int32, ..., and this method is used to test that the values match those types.

Definition at line 43 of file D4EnumDefs.cc.

The documentation for this class was generated from the following files:

- D4EnumDefs.h
- D4EnumDefs.cc